package com.dsic.gj_erp.controller.fd;


import com.dsic.gj_erp.annotation.AuthFunction;
import com.dsic.gj_erp.bean.ResultBean;
import com.dsic.gj_erp.bean.fd.TppsQk;
import com.dsic.gj_erp.exception.CustomException;
import com.dsic.gj_erp.service.fd.impl.TpImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author xhj
 * @since 2023-05-08
 */
@RestController
@RequestMapping("/api/tpb")
public class TpbController {
    @Autowired
    TpImpl tpImpl;

    @PostMapping("/findTPxqjh")
    @AuthFunction
    public ResultBean findTPxqjh(HttpServletRequest req, @RequestBody Map<String, Object> map) throws Exception, CustomException {
        List<Map> list = tpImpl.findTPxqjh(map);
        return new ResultBean(list);
    }
    @PostMapping("/findTppsQk")
    @AuthFunction
    public ResultBean findTppsQk(HttpServletRequest req, @RequestBody Map<String, Object> map) throws Exception, CustomException {
        List<TppsQk> list = tpImpl.findTppsQk(map);
        return new ResultBean(list);
    }

}
